import './SkeletonLoader.css';

function SkeletonLoader({ numberOfLines = 3 }: { numberOfLines?: number }) {
  return (
    <div className="skeleton-loader" role="status">
      {Array.from({ length: numberOfLines }, (_, index) => (
        <div key={index} className="skeleton-loader__line"></div>
      ))}
    </div>
  );
}

export default SkeletonLoader;
